Package org.gitana.platform.client.platform

# Interface PlatformDocument

All Superinterfaces:
  `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `Referenceable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Subinterfaces:
  `ApplicationDocument`, `Archive`, `AuthenticationGrant`, `AutoClientMapping`, `BillingProviderConfiguration`, `Branch`, `Changeset`, `Client`, `Deletion`, `DeployedApplication`, `DirectoryDocument`, `DomainDocument`, `DomainGroup`, `DomainPrincipal`, `DomainUser`, `Email`, `EmailProvider`, `Identity`, `Meter`, `Plan`, `Project`, `RegistrarDocument`, `Registration`, `Release`, `RepositoryDocument`, `Settings`, `Stack`, `Tenant`, `VaultDocument`, `WebHostDocument`

All Known Implementing Classes:
  `AbstractApplicationDocumentImpl`, `AbstractDefinitionImpl`, `AbstractDirectoryDocumentImpl`, `AbstractDomainDocumentImpl`, `AbstractDomainPrincipalImpl`, `AbstractPlatformDocumentImpl`, `AbstractRegistrarDocumentImpl`, `AbstractRepositoryDocumentImpl`, `AbstractVaultDocumentImpl`, `AbstractWebHostDocumentImpl`, `ArchiveImpl`, `AssociationDefinitionImpl`, `AssociationImpl`, `AuthenticationGrantImpl`, `AutoClientMappingImpl`, `BaseNodeImpl`, `BillingProviderConfigurationImpl`, `BranchImpl`, `ChangesetImpl`, `ChildAssociationImpl`, `ClientImpl`, `CopiedFromAssociationImpl`, `CreatedAssociationImpl`, `DeletedAssociationImpl`, `DeletionImpl`, `DeployedApplicationImpl`, `DomainGroupImpl`, `DomainUserImpl`, `EmailImpl`, `EmailProviderImpl`, `FeatureDefinitionImpl`, `FormImpl`, `GroupImpl`, `HasBehaviorAssociationImpl`, `HasFormAssociationImpl`, `HasLockAssociationImpl`, `HasMountAssociationImpl`, `HasTranslationAssociationImpl`, `IdentityImpl`, `LinkedAssociationImpl`, `MeterImpl`, `NodeImpl`, `NodeListImpl`, `OwnedAssociationImpl`, `PersonImpl`, `PlanImpl`, `ProjectImpl`, `RegistrationImpl`, `ReleaseImpl`, `RuleImpl`, `SettingsImpl`, `StackImpl`, `TenantImpl`, `TypeDefinitionImpl`, `UpdatedAssociationImpl`

public interface PlatformDocument extends Document, Transferable, Copyable, TypedID, Referenceable

Author:
  uzi

## Field Summary

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`Platform`
`getPlatform()`
`String`
`getPlatformId()`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Method Details

### getPlatform

Platform getPlatform()

### getPlatformId

String getPlatformId()